Skip to main content

GET /api/tokens/categories

All token categories

GET categories data from tokens service

Endpoint​

GET https://api.web3identity.com/api/tokens/categories

Example Request​

curl -s "https://api.web3identity.com/api/tokens/categories" | jq

Responses​

200 Categories​

{
"categories": [
{
"id": "defi",
"name": "DeFi",
"tokenCount": 1234,
"marketCap": 123456789012.34
},
{
"id": "nft",
"name": "NFT",
"tokenCount": 567,
"marketCap": 23456789012.34
},
{
"id": "gaming",
"name": "Gaming",
"tokenCount": 345,
"marketCap": 12345678901.23
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec